import { AnyT } from '../definitions.interface';
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isDef: (value: AnyT) => boolean;
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isUndef: (value: AnyT) => boolean;
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isFn: (value: AnyT) => boolean;
/**
 * @stable [17.04.2020]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isNotNumber: (value: AnyT) => boolean;
/**
 * @stable [06.12.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isDigit: (value: AnyT) => boolean;
/**
 * @stable [17.05.2020]
 * @param {AnyT} v
 * @returns {boolean}
 */
export declare const isPrimitive: (v: AnyT) => boolean;
/**
 * @stable [03.04.2020]
 * @param {AnyT} v
 * @returns {boolean}
 */
export declare const isEvent: (v: AnyT) => boolean;
/**
 * @stable [06.12.2018]
 * @param {TResult} result
 * @returns {TResult}
 */
export declare const toType: <TResult>(result: TResult) => TResult;
/**
 * @stable [16.05.2020]
 */
export declare class TypeUtils {
    static readonly isBoolean: (value: any) => boolean;
    static readonly isDef: (value: any) => boolean;
    static readonly isFn: (value: any) => boolean;
    static readonly isNumber: (value: any) => boolean;
    static readonly isObject: (v: any) => boolean;
    static readonly isPositiveOrNegativeNumberLike: (value: any) => boolean;
    static readonly isPrimitive: (v: any) => boolean;
    static readonly isString: (value: any) => boolean;
    static readonly isUndef: (value: any) => boolean;
}
